# tests are disabled due to missing packages
%global enable_tests 0
%global module_name emojione

Name:           nodejs-%{module_name}
Version:        2.2.6
Release:        %mkrel 5
Summary:        EmojiOne is a complete set of emojis designed for the web
# Artwork included is in CC-BY-SA license
# Non-Artwork files are under MIT license
License:        MIT and CC-BY-SA
Group:      System/Libraries
URL:            https://www.emojione.com
Source0:        https://registry.npmjs.org/%{module_name}/-/%{module_name}-%{version}.tgz
Patch1:         %name-xx-build.patch
BuildArch:      noarch
BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  nodejs-grunt-cli
BuildRequires:  nodejs-grunt-contrib-cssmin
BuildRequires:  nodejs-grunt-contrib-jshint
BuildRequires:  nodejs-grunt-contrib-qunit
BuildRequires:  nodejs-grunt-contrib-sass
BuildRequires:  nodejs-grunt-contrib-uglify
BuildRequires:  nodejs-grunt-contrib-watch
BuildRequires:  nodejs-grunt-imageoptim
BuildRequires:  nodejs-grunt-jsonlint
BuildRequires:  nodejs-grunt-spritesmith
BuildRequires:  nodejs-grunt-svgstore
%endif

Requires:       %{name}-json = %{version}-%{release}

%description
EmojiOne is a complete set of emojis designed for the web. It includes
libraries to easily convert unicode characters to shortnames (:smile:)
and shortnames to our custom emoji images. PNG and SVG formats provided
for the emoji images.


%package json
Summary:        EmojiOne utility for Json files

%description json
This utility provides Json files which can be utilized by other packages.


%package android
Summary:        EmojiOne utility for Android
Requires:       %{name} = %{version}-%{release}

%description android
This utility provides a method to convert from shortname to unicode characters.


%package awesome
Summary:        Emojione awesome
Requires:       %{name} = %{version}-%{release}

%description awesome
EmojiOne Awesome is for front end developers who just wanna drop an emoji on a
page without using any sorts of scripts. 


%package meteor
Summary:        EmojiOne utility for Meteor
Requires:       %{name} = %{version}-%{release}

%description meteor
This utility provides a method to convert from shortname to unicode characters.


%package ios
Summary:        EmojiOne utility for iOS
Requires:       %{name} = %{version}-%{release}

%description ios
EmojiOne utility is for iOS.

%package python
Summary:        EmojiOne utility for Python
Requires:       %{name} = %{version}-%{release}

%description python
EmojiOne utility is for Python.

%prep
%setup -q -c %{name}-%{version}
%patch -P 1 -p0 -b .build
chmod a+x package/lib/python/emojipy/*.py
find . -name "*.js" -exec chmod 644 {} \;

%build
# nothing to build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{module_name}
cp -R package/* %{buildroot}%{nodejs_sitelib}/%{module_name}
rm %{buildroot}%{nodejs_sitelib}/%{module_name}/CONTRIBUTING.md
rm %{buildroot}%{nodejs_sitelib}/%{module_name}/LICENSE.md
rm %{buildroot}%{nodejs_sitelib}/%{module_name}/README.md
rm %{buildroot}%{nodejs_sitelib}/%{module_name}/lib/tests.md
rm %{buildroot}%{nodejs_sitelib}/%{module_name}/lib/android/README.md
rm %{buildroot}%{nodejs_sitelib}/%{module_name}/lib/emojione-awesome/README.md
rm %{buildroot}%{nodejs_sitelib}/%{module_name}/lib/ios/README.md
rm %{buildroot}%{nodejs_sitelib}/%{module_name}/lib/python/README.md

# https://github.com/Ranks/emojione/issues/295
rm -rf %{buildroot}%{nodejs_sitelib}/%{module_name}/assets/fonts

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
grunt travis
%endif

%files
%license package/LICENSE.md
%doc package/CONTRIBUTING.md package/README.md package/lib/tests.md
%dir %{nodejs_sitelib}/%{module_name}/
%dir %{nodejs_sitelib}/%{module_name}/lib
%{nodejs_sitelib}/%{module_name}/lib/js
%{nodejs_sitelib}/%{module_name}/*.js
%{nodejs_sitelib}/%{module_name}/bower.json
%{nodejs_sitelib}/%{module_name}/package.json
%{nodejs_sitelib}/%{module_name}/assets

%files json
%license package/LICENSE.md
%{nodejs_sitelib}/%{module_name}/emoji*.json

%files android
%doc package/lib/android/README.md
%{nodejs_sitelib}/%{module_name}/lib/android

%files awesome
%doc package/lib/emojione-awesome/README.md
%{nodejs_sitelib}/%{module_name}/lib/emojione-awesome

%files meteor
%{nodejs_sitelib}/%{module_name}/lib/meteor

%files ios
%doc package/lib/ios/README.md
%{nodejs_sitelib}/%{module_name}/lib/ios

%files python
%doc package/lib/python/README.md
%{nodejs_sitelib}/%{module_name}/lib/python


%changelog
* Sun Dec 22 2024 pterjan <pterjan> 2.2.6-5.mga10
+ Revision: 2127886
- Rebuild for patchN deprecation

* Tue Mar 22 2022 umeabot <umeabot> 2.2.6-4.mga9
+ Revision: 1816903
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 2.2.6-3.mga8
+ Revision: 1492513
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 2.2.6-2.mga7
+ Revision: 1264961
- Mageia 7 Mass Rebuild

* Wed Aug 10 2016 yochenhsieh <yochenhsieh> 2.2.6-1.mga6
+ Revision: 1045249
- imported package nodejs-emojione

